Loading...
Searching...
No Matches
gx_engine::GxConvolverBase Class Reference

`#include <gx_convolver.h>`

Inheritance diagram for gx_engine::GxConvolverBase:

## Public Member Functions

void | set_buffersize (unsigned int sz)
unsigned int | get_buffersize ()
void | set_samplerate (unsigned int sr)
unsigned int | get_samplerate ()
bool | checkstate ()
void | set_not_runnable ()
bool | is_runnable ()
bool | start (int policy, int priority)
void | set_sync (bool val)

## Protected Member Functions

void | adjust_values (unsigned int audio_size, unsigned int &count, unsigned int &offset, unsigned int &delay, unsigned int &ldelay, unsigned int &length, unsigned int &size, unsigned int &bufsize)
| GxConvolverBase ()
| ~GxConvolverBase ()

## Protected Attributes

volatile bool | ready
bool | sync
unsigned int | buffersize
unsigned int | samplerate

## Detailed Description

Definition at line 102 of file gx_convolver.h.

## Constructor & Destructor Documentation

## GxConvolverBase()

gx_engine::GxConvolverBase::GxConvolverBase | ( |  | ) |

inline protected

Definition at line 111 of file gx_convolver.h.

Referenced by gx_engine::GxConvolver::GxConvolver(), and gx_engine::GxSimpleConvolver::GxSimpleConvolver().

## ~GxConvolverBase()

gx_engine::GxConvolverBase::~GxConvolverBase | ( |  | ) |

protected

## Member Function Documentation

## adjust_values()

void gx_engine::GxConvolverBase::adjust_values | ( | unsigned int | audio_size,
|  | unsigned int & | count,
|  | unsigned int & | offset,
|  | unsigned int & | delay,
|  | unsigned int & | ldelay,
|  | unsigned int & | length,
|  | unsigned int & | size,
|  | unsigned int & | bufsize )

protected

## checkstate()

bool gx_engine::GxConvolverBase::checkstate | ( |  | ) |

## get_buffersize()

unsigned int gx_engine::GxConvolverBase::get_buffersize | ( |  | ) |

inline

Definition at line 115 of file gx_convolver.h.

## get_samplerate()

unsigned int gx_engine::GxConvolverBase::get_samplerate | ( |  | ) |

inline

Definition at line 117 of file gx_convolver.h.

## is_runnable()

bool gx_engine::GxConvolverBase::is_runnable | ( |  | ) |

inline

Definition at line 121 of file gx_convolver.h.

Referenced by gx_engine::GxSimpleConvolver::compute(), and gx_engine::GxSimpleConvolver::compute_stereo().

## set_buffersize()

void gx_engine::GxConvolverBase::set_buffersize | ( | unsigned int | sz | ) |

inline

Definition at line 114 of file gx_convolver.h.

## set_not_runnable()

void gx_engine::GxConvolverBase::set_not_runnable | ( |  | ) |

inline

Definition at line 120 of file gx_convolver.h.

## set_samplerate()

void gx_engine::GxConvolverBase::set_samplerate | ( | unsigned int | sr | ) |

inline

Definition at line 116 of file gx_convolver.h.

## set_sync()

void gx_engine::GxConvolverBase::set_sync | ( | bool | val | ) |

inline

Definition at line 124 of file gx_convolver.h.

## start()

bool gx_engine::GxConvolverBase::start | ( | int | policy,
|  | int | priority )

## Member Data Documentation

## buffersize

unsigned int gx_engine::GxConvolverBase::buffersize

protected

Definition at line 109 of file gx_convolver.h.

Referenced by get_buffersize(), GxConvolverBase(), and set_buffersize().

## ready

volatile bool gx_engine::GxConvolverBase::ready

protected

Definition at line 104 of file gx_convolver.h.

Referenced by GxConvolverBase(), is_runnable(), and set_not_runnable().

## samplerate

unsigned int gx_engine::GxConvolverBase::samplerate

protected

Definition at line 110 of file gx_convolver.h.

Referenced by get_samplerate(), GxConvolverBase(), gx_engine::GxConvolver::read_sndfile(), and set_samplerate().

## sync

bool gx_engine::GxConvolverBase::sync

protected

Definition at line 105 of file gx_convolver.h.

Referenced by GxConvolverBase(), and set_sync().

The documentation for this class was generated from the following file:

- src/headers/gx_convolver.h